Loading...
Searching...
No Matches
future.hh File Reference
`#include <memory>`
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`

Go to the source code of this file.

## Classes

class | Dune::InvalidFutureException
| This exception is thrown when ready(), wait() or get() is called on an invalid future. A future is valid until get() is called and if it is not default-constructed and it was not moved from. More...
class | Dune::Future< T >
| Type-erasure for future-like objects. A future-like object is a object satisfying the interface of FutureBase. More...
class | Dune::PseudoFuture< T >
| A wrapper-class for a object which is ready immediately. More...
class | Dune::PseudoFuture< void >

## Namespaces

namespace | Dune
| Dune namespace